<xml> </xml>

db4o |

# Db4o.OpenServer Method

opens an ObjectServer on the specified database file and port.
If the server does not need to listen on a port because it will only be used in embedded mode with com.db4o.ObjectServer.OpenClient , specify '0' as the port number.

public static ObjectServer OpenServer(
string databaseFileName,
int port
);

#### Parameters

databaseFileName
  the full path to the database file
port
  the port to be used, or 0, if the server should not open a port, because it will only be used with com.db4o.ObjectServer.OpenClient

#### Return Value

an ObjectServer listening on the specified port.

#### See Also

Db4o Class | com.db4o Namespace | com.db4o.config.Configuration.ReadOnly | com.db4o.config.Configuration.Encrypt | com.db4o.config.Configuration.Password